package com.mvc.model.upgrade;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.mvc.model.ReqPageGeeker;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

public class TUpgradePackageModel extends ReqPageGeeker {
    private Integer id;

    private String originalFileName;

    private String fileName;

    private String fileType;

    private Integer fileSize;

    private String versionNum;

    private String matchVersionNum;

    private String updateContent;

    private String memo;

    private String createMan;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone="GMT+8",locale="zh")
    private Date createTime;

    private String fileUrl;

    private String oldFileName;

    private String newFileName;

    private String originalOldFileName;

    private String originalNewFileName;

    private String guid;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getOriginalFileName() {
        return originalFileName;
    }

    public void setOriginalFileName(String originalFileName) {
        this.originalFileName = originalFileName == null ? null : originalFileName.trim();
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName == null ? null : fileName.trim();
    }

    public String getFileType() {
        return fileType;
    }

    public void setFileType(String fileType) {
        this.fileType = fileType == null ? null : fileType.trim();
    }

    public Integer getFileSize() {
        return fileSize;
    }

    public void setFileSize(Integer fileSize) {
        this.fileSize = fileSize;
    }

    public String getVersionNum() {
        return versionNum;
    }

    public void setVersionNum(String versionNum) {
        this.versionNum = versionNum == null ? null : versionNum.trim();
    }

    public String getMatchVersionNum() {
        return matchVersionNum;
    }

    public void setMatchVersionNum(String matchVersionNum) {
        this.matchVersionNum = matchVersionNum == null ? null : matchVersionNum.trim();
    }

    public String getUpdateContent() {
        return updateContent;
    }

    public void setUpdateContent(String updateContent) {
        this.updateContent = updateContent == null ? null : updateContent.trim();
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getCreateMan() {
        return createMan;
    }

    public void setCreateMan(String createMan) {
        this.createMan = createMan == null ? null : createMan.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public String getGuid() {
        return guid;
    }

    public void setGuid(String guid) {
        this.guid = guid;
    }

    public String getOldFileName() {
        return oldFileName;
    }

    public void setOldFileName(String oldFileName) {
        this.oldFileName = oldFileName;
    }

    public String getNewFileName() {
        return newFileName;
    }

    public void setNewFileName(String newFileName) {
        this.newFileName = newFileName;
    }

    public String getOriginalOldFileName() {
        return originalOldFileName;
    }

    public void setOriginalOldFileName(String originalOldFileName) {
        this.originalOldFileName = originalOldFileName;
    }

    public String getOriginalNewFileName() {
        return originalNewFileName;
    }

    public void setOriginalNewFileName(String originalNewFileName) {
        this.originalNewFileName = originalNewFileName;
    }
}